CGXGET(1)

NAME
cgxget - print parameter(s) of given group(s)

SYNOPSIS
cgxget [-1] [-2] [-i] [-n] [-v] [-r <name>] [-g <controller>] [-a] <path> ...
cgxget [-1] [-2] [-i] [-n] [-v] [-r <name>] -g <controller>:<path> ...

DESCRIPTION
Prints the parameter(s) of input cgroup(s). If neither controller nor variable are specified, the values of all possible variables are displayed. When the request's cgroup version differs from the system's cgroup version, cgxget will attempt to translate from one version to the other. If the request version and the system's version are the same, no translation is done and cgxget will behave like cgget. If no version is specified by the user (either [-1] or [-2]), the behavior is undefined.

<path>
    is the name of the cgroup which should be read. This parameter can be used multiple times.

-1, --v1
    data in/out of cgxget is in cgroup v1 format. In this mode, the user will provide values in cgroup v1 format and receive values in v1 format. format. If the system is running in cgroup v2 mode, libcgroup will convert the data as necessary

-2, --v2
    data in/out of cgxget is in cgroup v2 format. In this mode, the user will provide values in cgroup v2 format and receive values in v2 format. If the system is running in cgroup v1 mode, libcgroup will convert the data as necessary

-a, --all
    print the variables for all controllers which consist in the given cgroup

-g <controller>
    defines controllers whose values should be displayed. This option can be used multiple times.

-g <controller>:<path>
    defines control groups whose values should be displayed. This option can be used multiple times.

-h, --help
    display help and exit

-i, --ignore-unmappable
    ignore errors for values that cannot be converted from v1 to v2 or vice versa

-n  do not print headers, i.e. names of groups.

-r, --variable <name>
    defines parameter to display. This option can be used multiple times.

-v, --values-only
    print only values, not parameter names.

EXAMPLES
$ cgxget -1 -r cpuset.cpus -r cpuset.mems first second
first:
cpuset.cpus=0-1
cpuset.mems=0
second:
cpuset.cpus=0
cpuset.mems=0
$ cgxget -1 -n -r cpuset.cpus -r cpuset.mems first second
cpuset.cpus=0-1
cpuset.mems=0
cpuset.cpus=0
cpuset.mems=0
$ cgxget -1 -nv -r cpuset.cpus -r cpuset.mems first second
0-1
0
0
0
$ cgxget -1 -n -g cpu /
cpu.rt_period_us=1000000
cpu.rt_runtime_us=950000
cpu.shares=1024
$ cgxget -2 -r cpu.max first
first:
cpu.max: max 100000

ENVIRONMENT VARIABLES

CGROUP_LOGLEVEL
    controls verbosity of the tool. Allowed values are DEBUG, INFO, WARNING or ERROR.

AUTHOR
Tom Hromatka <tom.hromatka@oracle.com>

SEE ALSO
cgrules.conf (1), cgcreate (1), cgget (1), cgset (1), cgxset (1)